mutation createContactAuthenticated

Returns Contact!

Arguments

ArgumentTypeDescription
inputCreateContactInput!

Example request

curl -X POST 'https://graph.clientloop.com/' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer <api-key>' \
  -d '{
    "query": "mutation CreateContact($input: CreateContactInput!) { createContact(input: $input) { orgId id name givenName familyName email phone createdAt updatedAt } }",
    "variables": {
      "input": {
        "orgId": "abc123",
        "name": "example"
      }
    }
  }'
const response = await fetch('https://graph.clientloop.com/', {
  method: 'POST',
  headers: {
    'Content-Type': 'application/json',
    'Authorization': 'Bearer <api-key>',
  },
  body: JSON.stringify({
    query: `
      mutation CreateContact($input: CreateContactInput!) {
        createContact(input: $input) {
          orgId
          id
          name
          givenName
          familyName
          email
          phone
          createdAt
          updatedAt
        }
      }
    `,
    variables: {
      "input": {
        "orgId": "abc123",
        "name": "example"
      }
    },
  }),
});

const { data, errors } = await response.json();
<?php

$body = <<<'JSON'
{
  "query": "mutation CreateContact($input: CreateContactInput!) { createContact(input: $input) { orgId id name givenName familyName email phone createdAt updatedAt } }",
  "variables": {
    "input": {
      "orgId": "abc123",
      "name": "example"
    }
  }
}
JSON;

$ch = curl_init('https://graph.clientloop.com/');
curl_setopt_array($ch, [
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_POST => true,
  CURLOPT_HTTPHEADER => [
    'Content-Type: application/json',
    'Authorization: Bearer <api-key>',
  ],
  CURLOPT_POSTFIELDS => $body,
]);

$response = curl_exec($ch);
curl_close($ch);

$result = json_decode($response, true);
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

var body = """
{
  "query": "mutation CreateContact($input: CreateContactInput!) { createContact(input: $input) { orgId id name givenName familyName email phone createdAt updatedAt } }",
  "variables": {
    "input": {
      "orgId": "abc123",
      "name": "example"
    }
  }
}
""";

var request = HttpRequest.newBuilder(URI.create("https://graph.clientloop.com/"))
    .header("Content-Type", "application/json")
    .header("Authorization", "Bearer <api-key>")
    .POST(HttpRequest.BodyPublishers.ofString(body))
    .build();

var response = HttpClient.newHttpClient()
    .send(request, HttpResponse.BodyHandlers.ofString());

System.out.println(response.body());
using System.Net.Http;
using System.Text;

var body = """
{
  "query": "mutation CreateContact($input: CreateContactInput!) { createContact(input: $input) { orgId id name givenName familyName email phone createdAt updatedAt } }",
  "variables": {
    "input": {
      "orgId": "abc123",
      "name": "example"
    }
  }
}
""";

using var client = new HttpClient();
using var content = new StringContent(body, Encoding.UTF8, "application/json");
client.DefaultRequestHeaders.Add("Authorization", "Bearer <api-key>");

var response = await client.PostAsync("https://graph.clientloop.com/", content);
var result = await response.Content.ReadAsStringAsync();

Types

input CreateContactInput

FieldTypeDescription
orgIdID!
nameString!
givenNameString
familyNameString
emailEmail
phonePhone

type Contact

FieldTypeDescription
orgIdID!
idID!
nameString!
givenNameString
familyNameString
emailEmail
phonePhone
createdAtString!
updatedAtString!

scalar Email

An email address

scalar Phone

E.164 formatted phone number. Ex. +14155554345